Subject: Re: [PATCH v6 17/19] fsck: Introduce `git fsck --quick`

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Jun 2015 20:26:53 -0700

Johannes Schindelin <[email-masked]> writes:

>> Jokes aside, given that you should regularly repack your repository
>> anyway, I do not think it is such a big downside that this mode
>> misses a corrupt objects, and the 1 out of 4 kinds of objects,
>> i.e. blobs, occupy major part of the repository storage, so this new
>> mode probably makes sense.
>
> It actually makes a ton of sense as a kind of light-weight check ;-)

Yes, didn't I agree that it makes sense already?

> The meaning of "quick" that I was thinking of was not the same as
> "fast", but more like "just a quick check". As in "quick & dirty" ;-)

Sure.

> The point is not to ignore corrupt blobs, by the way, it is to check
> the connectivity only, and save substantial amounts of time doing so.

Yeah, I understand that; after all, that is exactly why I said "make
sure it does not notice corrupt blobs" is not a good test.

On the other hand, you are also checking that it notices a broken
tree (which makes it impossible to complete connectivity check),
which is a good test.